| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::DBusObject Class Reference
Service-side implementation

A QObject on which low-level D-Bus adaptors are plugged to provide a D-Bus object. More...

`#include <TelepathyQt/DBusObject>`

List of all members.

## Public Member Functions

- DBusObject (const QDBusConnection &dbusConnection, QObject *parent=0)
- virtual ~DBusObject ()
- QDBusConnection dbusConnection () const

## Detailed Description

A QObject on which low-level D-Bus adaptors are plugged to provide a D-Bus object.

## Constructor & Destructor Documentation

Tp::DBusObject::DBusObject | ( | const QDBusConnection & | dbusConnection,
|  | QObject * | parent = `0`
| ) |  |

Construct a DBusObject that operates on the given dbusConnection.

Parameters:

  dbusConnection | The D-Bus connection to use.
  parent | The QObject parent of this instance.

Tp::DBusObject::~DBusObject | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

QDBusConnection Tp::DBusObject::dbusConnection | ( |  | ) | const

Return the D-Bus connection associated with this object.

Returns:
  The D-Bus connection associated with this object.